rte_table_action_mtr_config(3)

NAME
rte_table_action_mtr_config

SYNOPSIS

#include <rte_table_action.h>

  Data Fields

enum rte_table_action_meter_algorithm alg
uint32_t n_tc
int n_packets_enabled
int n_bytes_enabled

Detailed Description

Meter action configuration (per table action profile).

Definition at line 287 of file rte_table_action.h.

Field Documentation

  enum rte_table_action_meter_algorithm alg
Meter algorithm.

Definition at line 289 of file rte_table_action.h.

  uint32_t n_tc
Number of traffic classes. Each traffic class has its own traffic meter and policer instances. Needs to be equal to either 1 or to RTE_TABLE_ACTION_TC_MAX.

Definition at line 295 of file rte_table_action.h.

  int n_packets_enabled
When non-zero, the n_packets meter stats counter is enabled, otherwise it is disabled.

See also
    struct rte_table_action_mtr_counters_tc

Definition at line 302 of file rte_table_action.h.

  int n_bytes_enabled
When non-zero, the n_bytes meter stats counter is enabled, otherwise it is disabled.

See also
    struct rte_table_action_mtr_counters_tc

Definition at line 309 of file rte_table_action.h.

Author

Generated automatically by Doxygen for DPDK from the source code.